Text (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class Text

- java.lang.Object
- - com.twosigma.beakerx.chart.xychart.plotitem.Text

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Text
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Text
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Text()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Color` | `getColor()`
    `java.lang.Class` | `getPlotType()`
    `java.lang.Double` | `getPointerAngle()`
    `java.lang.Boolean` | `getShowPointer()`
    `int` | `getSize()`
    `java.lang.String` | `getText()`
    `java.lang.Number` | `getX()`
    `java.lang.Number` | `getY()`
    `void` | `setColor(Color color)`
    `void` | `setPlotType(java.lang.Class plotType)`
    `void` | `setPointerAngle(java.lang.Double pointerAngle)`
    `void` | `setShowPointer(boolean showPointer)`
    `void` | `setSize(int size)`
    `void` | `setText(java.lang.String text)`
    `void` | `setX(java.util.Calendar x)`
    `void` | `setX(java.util.Date x)`
    `void` | `setX(java.time.Instant x)`
    `void` | `setX(java.time.LocalDate x)`
    `void` | `setX(java.time.LocalDateTime x)`
    `void` | `setX(java.lang.Number x)`
    `void` | `setY(java.lang.Number y)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Text

          public Text()

  - ### Method Detail

    - #### getX

          public java.lang.Number getX()

    - #### setX

          public void setX(java.lang.Number x)

    - #### setX

          public void setX(java.util.Date x)

    - #### setX

          public void setX(java.util.Calendar x)

    - #### setX

          public void setX(java.time.Instant x)

    - #### setX

          public void setX(java.time.LocalDateTime x)

    - #### setX

          public void setX(java.time.LocalDate x)

    - #### getY

          public java.lang.Number getY()

    - #### setY

          public void setY(java.lang.Number y)

    - #### getShowPointer

          public java.lang.Boolean getShowPointer()

    - #### setShowPointer

          public void setShowPointer(boolean showPointer)

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String text)

    - #### getPointerAngle

          public java.lang.Double getPointerAngle()

    - #### setPointerAngle

          public void setPointerAngle(java.lang.Double pointerAngle)

    - #### getColor

          public Color getColor()

    - #### setColor

          public void setColor(Color color)

    - #### getSize

          public int getSize()

    - #### setSize

          public void setSize(int size)

    - #### getPlotType

          public java.lang.Class getPlotType()

    - #### setPlotType

          public void setPlotType(java.lang.Class plotType)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`